
Redmine - Defect #11095

Migrating Redmine 1.4.2. to 1.4.3 issues

2012-06-06 00:37 - Robson Peixoto

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version:  

Description

1. rake db:plugins:migrate RAILS_ENV=production --trace

rake aborted!

Don't know how to build task 'db:plugins:migrate'

/usr/local/rvm/gems/ruby-1.9.3-p194@global/gems/rake-0.9.2.2/lib/rake/task_manager.rb:49:in `[]'

/usr/local/rvm/gems/ruby-1.9.3-p194@global/gems/rake-0.9.2.2/lib/rake/application.rb:115:in `invoke_task'

/usr/local/rvm/gems/ruby-1.9.3-p194@global/gems/rake-0.9.2.2/lib/rake/application.rb:94:in `block (2 levels) in top_level'

/usr/local/rvm/gems/ruby-1.9.3-p194@global/gems/rake-0.9.2.2/lib/rake/application.rb:94:in `each'

/usr/local/rvm/gems/ruby-1.9.3-p194@global/gems/rake-0.9.2.2/lib/rake/application.rb:94:in `block in top_level'

/usr/local/rvm/gems/ruby-1.9.3-p194@global/gems/rake-0.9.2.2/lib/rake/application.rb:133:in `standard_exception_handling'

/usr/local/rvm/gems/ruby-1.9.3-p194@global/gems/rake-0.9.2.2/lib/rake/application.rb:88:in `top_level'

/usr/local/rvm/gems/ruby-1.9.3-p194@global/gems/rake-0.9.2.2/lib/rake/application.rb:66:in `block in run'

/usr/local/rvm/gems/ruby-1.9.3-p194@global/gems/rake-0.9.2.2/lib/rake/application.rb:133:in `standard_exception_handling'

/usr/local/rvm/gems/ruby-1.9.3-p194@global/gems/rake-0.9.2.2/lib/rake/application.rb:63:in `run'

/usr/local/rvm/gems/ruby-1.9.3-p194@global/gems/rake-0.9.2.2/bin/rake:33:in `<top (required)>'

/usr/local/rvm/gems/ruby-1.9.3-p194@global/bin/rake:19:in `load'

/usr/local/rvm/gems/ruby-1.9.3-p194@global/bin/rake:19:in `<main>'

System Info

1. RAILS_ENV=production ruby script/about

/usr/local/rvm/gems/ruby-1.9.3-p194/gems/activesupport-2.3.14/lib/active_support/inflector.rb:3:in `<top (required)>': iconv will

be deprecated in the future, use String#encode instead.

NOTE: Gem.source_index is deprecated, use Specification. It will be removed on or after 2011-11-01.

Gem.source_index called from /usr/local/rvm/gems/ruby-1.9.3-p194/gems/rails-2.3.14/lib/rails/gem_dependency.rb:21.

About your application's environment

Ruby version              1.9.3 (x86_64-linux)

RubyGems version          1.8.24

Rack version              1.1.3

Rails version             2.3.14

Active Record version     2.3.14

Active Resource version   2.3.14

Action Mailer version     2.3.14

Active Support version    2.3.14

Application root          /var/convergence/redmine

Environment               production

Database adapter          mysql2

Database schema version   20120301153455

About your Redmine plugins

Redmine Backlogs                    v0.9.13

Redmine Issue Checklist plugin      1.0.3

Redmine Issue History Tabs plugin   0.0.5

Traceability Matrix                 2.0

Redmine Wiki HTML Util              0.0.1

History

#1 - 2012-06-06 01:40 - Etienne Massip

- Status changed from New to Closed
- Priority changed from High to Normal

- Resolution set to Invalid

You're looking to the 2.x version of the RedmineUpgrade guide.

Follow the link at the start of the page for upgrading to a 1.x version, the rake task was previously named db:migrate_plugins instead of

db:plugins:migrate.

#2 - 2012-06-06 01:56 - Robson Peixoto

Please, add it on RedmineUpgrade guide

#3 - 2012-06-06 13:13 - Arjen Schol

Well, I run redmine-2, and db:plugins:migrate doens't do anything. After running the previous db:migrate_plugins, I received a hint for the new syntax:

Note: The rake task db:migrate_plugins has been deprecated, please use the replacement version redmine:plugins:migrate

So it's not db:plugins:migrate but redmine:plugins:migrate

#4 - 2012-06-06 14:38 - Etienne Massip

Robson Peixoto wrote:

Please, add it on RedmineUpgrade guide

 It is already, the first statement in the wiki page is referring to the version you should use. I tried to make it more obvious.

Arjen Schol wrote:

So it's not db:plugins:migrate but redmine:plugins:migrate

 Indeed, fixed.
